Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Swing 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.swing
Class JEditorPane.JEditorPaneAccessibleHypertextSupport.HTMLLink

    java.lang.Object
      |
      +--javax.accessibility.AccessibleHyperlink
            |
            +--javax.swing.JEditorPane.JEditorPaneAccessibleHypertextSupport.HTMLLink

public class JEditorPane.JEditorPaneAccessibleHypertextSupport.HTMLLink
extends AccessibleHyperlink

Constructor Summary
`JEditorPane.JEditorPaneAccessibleHypertextSupport.HTMLLink(Element e)`

Method Summary
`boolean` | `doAccessibleAction(int i)` Perform the specified Action on the object
`java.lang.Object` | `getAccessibleActionAnchor(int i)` Return an object that represents the link anchor, as appropriate for that link.
`int` | `getAccessibleActionCount()` Returns the number of accessible actions available in this Link If there are more than one, the first one is NOT considered the "default" action of this LINK object (e.g.
`java.lang.String` | `getAccessibleActionDescription(int i)` Return a String description of this particular link action.
`java.lang.Object` | `getAccessibleActionObject(int i)` Returns a URL object that represents the link.
`int` | `getEndIndex()` Get the index with the hypertext document at which this link ends
`int` | `getStartIndex()` Get the index with the hypertext document at which this link begins
`boolean` | `isValid()` Since the document a link is associated with may have changed, this method returns whether this Link is valid anymore (with respect to the document it references).

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JEditorPane.JEditorPaneAccessibleHypertextSupport.HTMLLink

    public JEditorPane.JEditorPaneAccessibleHypertextSupport.HTMLLink(Element e)

Method Detail

### isValid

    public boolean isValid()

  Since the document a link is associated with may have changed, this method returns whether this Link is valid anymore (with respect to the document it references).
  Returns:
    a flag indicating whether this link is still valid with respect to the AccessibleHypertext it belongs to
  Overrides:
    isValid in class AccessibleHyperlink

### getAccessibleActionCount

    public int getAccessibleActionCount()

  Returns the number of accessible actions available in this Link If there are more than one, the first one is NOT considered the "default" action of this LINK object (e.g. in an HTML imagemap). In general, links will have only one AccessibleAction in them.
  Returns:
    the zero-based number of Actions in this object
  Overrides:
    getAccessibleActionCount in class AccessibleHyperlink

### doAccessibleAction

    public boolean doAccessibleAction(int i)

  Perform the specified Action on the object
  Parameters:
    `i` - zero-based index of actions
  Returns:
    true if the the action was performed; else false.
  Overrides:
    doAccessibleAction in class AccessibleHyperlink
  See Also:
    `getAccessibleActionCount()`

### getAccessibleActionDescription

    public java.lang.String getAccessibleActionDescription(int i)

  Return a String description of this particular link action. The string returned is the text within the document associated with the element which contains this link.
  Parameters:
    `i` - zero-based index of the actions
  Returns:
    a String description of the action
  Overrides:
    getAccessibleActionDescription in class AccessibleHyperlink
  See Also:
    `getAccessibleActionCount()`

### getAccessibleActionObject

    public java.lang.Object getAccessibleActionObject(int i)

  Returns a URL object that represents the link.
  Parameters:
    `i` - zero-based index of the actions
  Returns:
    an URL representing the HTML link itself
  Overrides:
    getAccessibleActionObject in class AccessibleHyperlink
  See Also:
    `getAccessibleActionCount()`

### getAccessibleActionAnchor

    public java.lang.Object getAccessibleActionAnchor(int i)

  Return an object that represents the link anchor, as appropriate for that link. E.g. from HTML: Accessibility this method would return a String containing the text: 'Accessibility'. Similarly, from this HTML: <a HREF="#top"><img src="top-hat.gif" alt="top hat"></a> this might return the object ImageIcon("top-hat.gif", "top hat");
  Parameters:
    `i` - zero-based index of the actions
  Returns:
    an Object representing the hypertext anchor
  Overrides:
    getAccessibleActionAnchor in class AccessibleHyperlink
  See Also:
    `getAccessibleActionCount()`

### getStartIndex

    public int getStartIndex()

  Get the index with the hypertext document at which this link begins
  Returns:
    index of start of link
  Overrides:
    getStartIndex in class AccessibleHyperlink

### getEndIndex

    public int getEndIndex()

  Get the index with the hypertext document at which this link ends
  Returns:
    index of end of link
  Overrides:
    getEndIndex in class AccessibleHyperlink

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Swing 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
Java is a trademark or registered trademark of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-1998 Sun Microsystems, Inc. 901 San Antonio Road,
Palo Alto, California, 94303, U.S.A. All Rights Reserved.